Commit 1ed8e597 authored by Kir Kolyshkin's avatar Kir Kolyshkin Committed by Pavel Emelyanov

test/zdtm.sh: remove space/semicolon at EOL

Just 'cause this is not C.
Signed-off-by: 's avatarKir Kolyshkin <kir@openvz.org>
Acked-by: 's avatarAndrew Vagin <avagin@parallels.com>
Signed-off-by: 's avatarPavel Emelyanov <xemul@parallels.com>
parent 950ce797
...@@ -197,7 +197,7 @@ EOF ...@@ -197,7 +197,7 @@ EOF
echo "A version of kernel should be greater or equal to 3.11" >&2 echo "A version of kernel should be greater or equal to 3.11" >&2
return 1; return 1
} }
exit_callback() exit_callback()
...@@ -256,8 +256,8 @@ construct_root() ...@@ -256,8 +256,8 @@ construct_root()
lname=/lib/x86_64-linux-gnu/$i lname=/lib/x86_64-linux-gnu/$i
elif [ -f /lib/arm-linux-gnueabi/$i ]; then elif [ -f /lib/arm-linux-gnueabi/$i ]; then
lname=/lib/arm-linux-gnueabi/$i lname=/lib/arm-linux-gnueabi/$i
else else
echo "Failed at " $i; echo "Failed at " $i
return 1 return 1
fi fi
...@@ -316,7 +316,7 @@ start_test() ...@@ -316,7 +316,7 @@ start_test()
rm -f $ZDTM_PIDFILE rm -f $ZDTM_PIDFILE
make -C $tdir $tname.pid || { make -C $tdir $tname.pid || {
echo ERROR: fail to start $tdir/$tname echo ERROR: fail to start $tdir/$tname
return 1; return 1
} }
) )
...@@ -400,7 +400,7 @@ The util "ip" is incompatible. The good one can be cloned from ...@@ -400,7 +400,7 @@ The util "ip" is incompatible. The good one can be cloned from
git://git.criu.org/iproute2. It should be compiled and a path git://git.criu.org/iproute2. It should be compiled and a path
to ip is written in \$CR_IP_TOOL. to ip is written in \$CR_IP_TOOL.
EOF EOF
exit 1; exit 1
} }
args="--root $ZDTM_ROOT --pidfile $TPID $args" args="--root $ZDTM_ROOT --pidfile $TPID $args"
fi fi
...@@ -461,7 +461,7 @@ EOF ...@@ -461,7 +461,7 @@ EOF
if [ $PAGE_SERVER -eq 1 ]; then if [ $PAGE_SERVER -eq 1 ]; then
while :; do while :; do
kill -0 $ps_pid > /dev/null 2>&1 || break; kill -0 $ps_pid > /dev/null 2>&1 || break
echo Waiting the process $ps_pid echo Waiting the process $ps_pid
sleep 0.1 sleep 0.1
done done
...@@ -479,11 +479,11 @@ EOF ...@@ -479,11 +479,11 @@ EOF
for i in $ddump/core-*.img; do for i in $ddump/core-*.img; do
local pid local pid
[ -n "$PIDNS" ] && break; [ -n "$PIDNS" ] && break
pid=`expr "$i" : '.*/core-\([0-9]*\).img'` pid=`expr "$i" : '.*/core-\([0-9]*\).img'`
while :; do while :; do
kill -0 $pid > /dev/null 2>&1 || break; kill -0 $pid > /dev/null 2>&1 || break
echo Waiting the process $pid echo Waiting the process $pid
sleep 0.1 sleep 0.1
done done
...@@ -497,7 +497,7 @@ EOF ...@@ -497,7 +497,7 @@ EOF
diff_fds $ddump/dump.fd $ddump/restore.fd && break diff_fds $ddump/dump.fd $ddump/restore.fd && break
sleep 0.2 sleep 0.2
done done
[ $i -eq 5 ] && return 2; [ $i -eq 5 ] && return 2
[ -n "$PIDNS" ] && PID=`cat $TPID` [ -n "$PIDNS" ] && PID=`cat $TPID`
fi fi
...@@ -511,7 +511,7 @@ EOF ...@@ -511,7 +511,7 @@ EOF
sltime=1 sltime=1
for i in `seq 50`; do for i in `seq 50`; do
kill -0 $PID > /dev/null 2>&1 || break; kill -0 $PID > /dev/null 2>&1 || break
echo Waiting... echo Waiting...
sleep 0.$sltime sleep 0.$sltime
[ $sltime -lt 9 ] && sltime=$((sltime+1)) [ $sltime -lt 9 ] && sltime=$((sltime+1))
...@@ -631,31 +631,31 @@ while :; do ...@@ -631,31 +631,31 @@ while :; do
if [ "$1" = "-p" ]; then if [ "$1" = "-p" ]; then
shift shift
PAGE_SERVER=1 PAGE_SERVER=1
continue; continue
fi fi
if [ "$1" = "-C" ]; then if [ "$1" = "-C" ]; then
shift shift
CLEANUP=1 CLEANUP=1
continue; continue
fi fi
if [ "$1" = "-x" ]; then if [ "$1" = "-x" ]; then
shift shift
EXCLUDE_PATTERN=$1 EXCLUDE_PATTERN=$1
shift shift
continue; continue
fi fi
if [ "$1" = "-t" ]; then if [ "$1" = "-t" ]; then
shift shift
TMPFS_DUMP=dump TMPFS_DUMP=dump
[ -d dump ] || mkdir -p $TMPFS_DUMP [ -d dump ] || mkdir -p $TMPFS_DUMP
mount -t tmpfs none $TMPFS_DUMP || exit 1 mount -t tmpfs none $TMPFS_DUMP || exit 1
continue; continue
fi fi
if [ "$1" = "-a" ]; then if [ "$1" = "-a" ]; then
shift shift
DUMP_ARCHIVE=$1 DUMP_ARCHIVE=$1
shift shift
continue; continue
fi fi
if [ "$1" = "-s" ]; then if [ "$1" = "-s" ]; then
SNAPSHOT=1 SNAPSHOT=1
...@@ -677,7 +677,7 @@ while :; do ...@@ -677,7 +677,7 @@ while :; do
shift shift
continue continue
fi fi
break; break
done done
if [ $COMPILE_ONLY -eq 0 ]; then if [ $COMPILE_ONLY -eq 0 ]; then
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment